/*
 * このソースコードは blanco Frameworkにより自動生成されました。
 */
package blanco.nlpack.generator.task.valueobject;

/**
 * 処理クラス [BlancoNLpackGeneratorConvertProperties2XliffProcess]の入力バリューオブジェクトクラスです。
 */
public class BlancoNLpackGeneratorConvertProperties2XliffProcessInput {
    /**
     * フィールド [verbose]
     *
     * 項目の型 [boolean]<br>
     * 規定値   [false]<br>
     * verboseモードで動作させるかどうか。
     */
    private boolean fVerbose = false;

    /**
     * フィールド [sourcedir]
     *
     * 項目の型 [java.lang.String]<br>
     * ソースディレクトリ。*.jarファイルや展開後のEclipseプラグイン。
     */
    private String fSourcedir;

    /**
     * フィールド [xliffdir]
     *
     * 項目の型 [java.lang.String]<br>
     * XLIFFファイルが格納されている出力先ルート・フォルダを指定します。XLIFFファイルは Bundle-SymbolicName ディレクトリ内に格納されることを前提とします。
     */
    private String fXliffdir;

    /**
     * フィールド [tmpdir]
     *
     * 項目の型 [java.lang.String]<br>
     * 規定値   [tmp]<br>
     * テンポラリディレクトリを指定します。無指定の場合にはカレント直下のtmpを用います。
     */
    private String fTmpdir = "tmp";

    /**
     * フィールド [verbose]のセッターメソッド
     *
     * 項目の型 [boolean]<br>
     * verboseモードで動作させるかどうか。
     *
     * @param argVerbose フィールド[verbose]に格納したい値
     */
    public void setVerbose(final boolean argVerbose) {
        fVerbose = argVerbose;
    }

    /**
     * フィールド[verbose]のゲッターメソッド
     *
     * 項目の型 [boolean]<br>
     * 規定値   [false]<br>
     * verboseモードで動作させるかどうか。
     *
     * @return フィールド[verbose]に格納されている値
     */
    public boolean getVerbose() {
        return fVerbose;
    }

    /**
     * フィールド [sourcedir]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * ソースディレクトリ。*.jarファイルや展開後のEclipseプラグイン。
     *
     * @param argSourcedir フィールド[sourcedir]に格納したい値
     */
    public void setSourcedir(final String argSourcedir) {
        fSourcedir = argSourcedir;
    }

    /**
     * フィールド[sourcedir]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * ソースディレクトリ。*.jarファイルや展開後のEclipseプラグイン。
     *
     * @return フィールド[sourcedir]に格納されている値
     */
    public String getSourcedir() {
        return fSourcedir;
    }

    /**
     * フィールド [xliffdir]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * XLIFFファイルが格納されている出力先ルート・フォルダを指定します。XLIFFファイルは Bundle-SymbolicName ディレクトリ内に格納されることを前提とします。
     *
     * @param argXliffdir フィールド[xliffdir]に格納したい値
     */
    public void setXliffdir(final String argXliffdir) {
        fXliffdir = argXliffdir;
    }

    /**
     * フィールド[xliffdir]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * XLIFFファイルが格納されている出力先ルート・フォルダを指定します。XLIFFファイルは Bundle-SymbolicName ディレクトリ内に格納されることを前提とします。
     *
     * @return フィールド[xliffdir]に格納されている値
     */
    public String getXliffdir() {
        return fXliffdir;
    }

    /**
     * フィールド [tmpdir]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * テンポラリディレクトリを指定します。無指定の場合にはカレント直下のtmpを用います。
     *
     * @param argTmpdir フィールド[tmpdir]に格納したい値
     */
    public void setTmpdir(final String argTmpdir) {
        fTmpdir = argTmpdir;
    }

    /**
     * フィールド[tmpdir]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 規定値   [tmp]<br>
     * テンポラリディレクトリを指定します。無指定の場合にはカレント直下のtmpを用います。
     *
     * @return フィールド[tmpdir]に格納されている値
     */
    public String getTmpdir() {
        return fTmpdir;
    }

    /**
     * このバリューオブジェクトの文字列表現を取得します。
     *
     * オブジェクトのシャロー範囲でしかtoStringされない点に注意して利用してください。
     *
     * @return バリューオブジェクトの文字列表現。
     */
    public String toString() {
        final StringBuffer buf = new StringBuffer();
        buf.append("blanco.nlpack.generator.task.valueobject.BlancoNLpackGeneratorConvertProperties2XliffProcessInput[");
        buf.append("verbose=" + fVerbose);
        buf.append(",sourcedir=" + fSourcedir);
        buf.append(",xliffdir=" + fXliffdir);
        buf.append(",tmpdir=" + fTmpdir);
        buf.append("]");
        return buf.toString();
    }
}
